{
    "compilerOptions": {
        "moduleResolution": "node",
        "target": "es2017",
        // "module": "es2015",
        "module": "commonjs",
        "esModuleInterop": true,
        "lib": [
            "es2015",
            "es2016",
            "es2017",
            "dom"
        ],
        "strict": true,
        "sourceMap": true,
        "declaration": true,
        "allowSyntheticDefaultImports": true,
        "experimentalDecorators": true,
        "emitDecoratorMetadata": true,
        // "declarationDir": "dist/types",
        "outDir": "dist",
        "typeRoots": [
            "node_modules/@types"
        ],
        "resolveJsonModule": true
    },
    "include": [
        "src"
    ]
}
